MAX30001G 1.0.1 Arduino library for MAX30001G ECG and BIOZ AFE

Public Attributes | List of all members
max30001_status_reg_t Union Reference

STATUS (0x01) page 42. More...

`#include <max30001g_regs_typedefs.h>`

## Public Attributes
uint32_t | all
struct {
uint32_t bcgmn: 1
uint32_t bcgmon: 1
uint32_t bcgmp: 1
uint32_t bint: 1
uint32_t bover: 1
uint32_t bovf: 1
uint32_t bundr: 1
uint32_t dcloffint: 1
uint32_t eint: 1
uint32_t eovf: 1
uint32_t fstint: 1
uint32_t ldoff_nh: 1
uint32_t ldoff_nl: 1
uint32_t ldoff_ph: 1
uint32_t ldoff_pl: 1
uint32_t lonint: 1
uint32_t pedge: 1
uint32_t pllint: 1
uint32_t povf: 1
uint32_t print: 1
uint32_t reserved1: 1
uint32_t reserved2: 1
uint32_t reserved6: 8
uint32_t rrint: 1
uint32_t samp: 1
} | bit

## Detailed Description

STATUS (0x01) page 42.

## Member Data Documentation

## ◆ all

uint32_t max30001_status_reg_t::all

## ◆ bcgmn

uint32_t max30001_status_reg_t::bcgmn

## ◆ bcgmon

uint32_t max30001_status_reg_t::bcgmon

## ◆ bcgmp

uint32_t max30001_status_reg_t::bcgmp

## ◆ bint

uint32_t max30001_status_reg_t::bint

## ◆

struct { ... } max30001_status_reg_t::bit

## ◆ bover

uint32_t max30001_status_reg_t::bover

## ◆ bovf

uint32_t max30001_status_reg_t::bovf

## ◆ bundr

uint32_t max30001_status_reg_t::bundr

## ◆ dcloffint

uint32_t max30001_status_reg_t::dcloffint

## ◆ eint

uint32_t max30001_status_reg_t::eint

## ◆ eovf

uint32_t max30001_status_reg_t::eovf

## ◆ fstint

uint32_t max30001_status_reg_t::fstint

## ◆ ldoff_nh

uint32_t max30001_status_reg_t::ldoff_nh

## ◆ ldoff_nl

uint32_t max30001_status_reg_t::ldoff_nl

## ◆ ldoff_ph

uint32_t max30001_status_reg_t::ldoff_ph

## ◆ ldoff_pl

uint32_t max30001_status_reg_t::ldoff_pl

## ◆ lonint

uint32_t max30001_status_reg_t::lonint

## ◆ pedge

uint32_t max30001_status_reg_t::pedge

## ◆ pllint

uint32_t max30001_status_reg_t::pllint

## ◆ povf

uint32_t max30001_status_reg_t::povf

## ◆ print

uint32_t max30001_status_reg_t::print

## ◆ reserved1

uint32_t max30001_status_reg_t::reserved1

## ◆ reserved2

uint32_t max30001_status_reg_t::reserved2

## ◆ reserved6

uint32_t max30001_status_reg_t::reserved6

## ◆ rrint

uint32_t max30001_status_reg_t::rrint

## ◆ samp

uint32_t max30001_status_reg_t::samp

The documentation for this union was generated from the following file:

- src/max30001g_regs_typedefs.h